#ifndef BUILDTYPE_H_
#define BUILDTYPE_H_

#include <string>
#include <msp/datafile/objectloader.h>
#include "buildinfo.h"

class BuildType
{
public:
	class Loader: public Msp::DataFile::ObjectLoader<BuildType>
	{
	public:
		Loader(BuildType &);

	private:
		void build_info();
	};

private:
	std::string name;
	BuildInfo build_info;

public:
	BuildType(const std::string &);

	const std::string &get_name() const { return name; }
	const BuildInfo &get_build_info() const { return build_info; }
};

#endif
